Package weka.classifiers.trees.m5

# Class Values

java.lang.Object
weka.classifiers.trees.m5.Values

All Implemented Interfaces:
  `RevisionHandler`

public final class Values extends Object implements RevisionHandler
Stores some statistics.

Version:
  $Revision: 1.7 $
Author:
  Yong Wang (yongwang@cs.waikato.ac.nz)

## Constructor Summary

Constructors
Constructor
Description
`Values(int low, int high, int attribute, Instances inst)`
Constructs an object which stores some statistics of the instances such as sum, squared sum, variance, standard deviation

## Method Summary

Modifier and Type
Method
Description
`String`
`getRevision()`
Returns the revision string.
`final String`
`toString()`
Converts the stats to a string

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Values

public Values(int low, int high, int attribute, Instances inst)
Constructs an object which stores some statistics of the instances such as sum, squared sum, variance, standard deviation

Parameters:
  `low` - the index of the first instance
  `high` - the index of the last instance
  `attribute` - the attribute
  `inst` - the instances

## Method Details

### toString

public final String toString()
Converts the stats to a string

Overrides:
  `toString` in class `Object`
Returns:
  the converted string

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision